org.eclipse.cdt.core.settings.model

## Interface ICExternalSetting

All Known Implementing Classes:
  CExternalSetting

    public interface ICExternalSetting

### Method Summary

All Methods Instance Methods Abstract Methods
`String[]` `getCompatibleContentTypeIds()`
`String[]` `getCompatibleExtensions()`
`String[]` `getCompatibleLanguageIds()`
`ICSettingEntry[]` `getEntries()`
`ICSettingEntry[]` `getEntries(int kind)`

### Method Detail

#### getCompatibleLanguageIds

    String[] getCompatibleLanguageIds()

#### getCompatibleContentTypeIds

    String[] getCompatibleContentTypeIds()

#### getCompatibleExtensions

    String[] getCompatibleExtensions()

#### getEntries

    ICSettingEntry[] getEntries(int kind)

#### getEntries

    ICSettingEntry[] getEntries()